package com.dcit.authority.dao;

import com.dcit.authority.model.SysFileInfo;
import com.dcit.authority.model.SysFileInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysFileInfoMapper {
    int countByExample(SysFileInfoExample example);

    int deleteByExample(SysFileInfoExample example);

    int deleteByPrimaryKey(String fileId);

    int insert(SysFileInfo record);

    int insertSelective(SysFileInfo record);

    List<SysFileInfo> selectByExampleWithBLOBs(SysFileInfoExample example);

    List<SysFileInfo> selectByExample(SysFileInfoExample example);

    SysFileInfo selectByPrimaryKey(String fileId);

    int updateByExampleSelective(@Param("record") SysFileInfo record, @Param("example") SysFileInfoExample example);

    int updateByExampleWithBLOBs(@Param("record") SysFileInfo record, @Param("example") SysFileInfoExample example);

    int updateByExample(@Param("record") SysFileInfo record, @Param("example") SysFileInfoExample example);

    int updateByPrimaryKeySelective(SysFileInfo record);

    int updateByPrimaryKeyWithBLOBs(SysFileInfo record);

    int updateByPrimaryKey(SysFileInfo record);
}